
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>AJAX跨域问题解决方法（1）——禁止浏览器进行跨域限制 / 憋错料</title>

    <meta name="description" content="AJAX跨域问题解决方法（1）——禁止浏览器进行跨域限制 思路:通过命令行修改浏览器启动参数,使得浏览器不进行跨域检查,从而允许跨域 方法:命令行参数启动浏览器后添加参数--disable-web-security 例:chrome --disable-web-security --disabl-web-security参数的作用是禁止浏览器进行跨域检查 但是,这种方法有三个缺点: 1.每次启动浏览器都需要通过命令行启动,太过繁琐 2.该方法会导致安全性方面的问题 3.该方法是客户端方面的改动,在实际使用中,在每个客户端上都禁止浏览器进行跨域检查不太现">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">AJAX跨域问题解决方法（1）——禁止浏览器进行跨域限制</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>思路：通过命令行修改浏览器启动参数，使得浏览器不进行跨域检查，从而允许跨域</p>
<p>方法：命令行参数启动浏览器后添加参数--disable-web-security</p>
<p>例：<br />chrome --disable-web-security</p>
<p>--disabl-web-security参数的作用是禁止浏览器进行跨域检查</p>
<p>但是，这种方法有三个缺点：</p>
<p>1.每次启动浏览器都需要通过命令行启动，太过繁琐</p>
<p>2.该方法会导致安全性方面的问题</p>
<p>3.该方法是客户端方面的改动，在实际使用中，在每个客户端上都禁止浏览器进行跨域检查不太现实，所以实用性较低。</p>
<p>总的来说，该方法虽然可以解决跨域问题，但是价值不大。在实际项目中，主要对服务器端进行改动使得支持跨域。</p>

<p>原文地址：https://www.cnblogs.com/karthuslorin/p/8506877.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 15:35:07 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/%e8%a7%a3%e5%86%b3/" title="解决">解决</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.biecuoliao.com/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.biecuoliao.com/tag/%e5%91%bd%e4%bb%a4%e8%a1%8c%e5%8f%82%e6%95%b0/" title="命令行参数">命令行参数</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%a2%e6%88%b7%e7%ab%af/" title="客户端">客户端</a>, <a href="https://www.biecuoliao.com/tag/isa/" title="isa">isa</a>, <a href="https://www.biecuoliao.com/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8%e7%ab%af/" title="服务器端">服务器端</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>AJAX跨域问题解决方法（1）——禁止浏览器进行跨域限制的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vlOogM.html" rel="bookmark">odoo Controller接口开发 POST请求的跨域问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				odoo Controller接口开发 POST请求的跨域问题解决方法 1.odoo Controller接口开发,前端在请求的时候会发生跨域问题,报错信息如下:Function declared as capable of handling request of type 'json' but called with a request of type 'http' 2.解决方法如下: odoo官网给的参数解释: cors – The Access-Control-Allow-Origin c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLJjAy3.html" rel="bookmark">前端跨域问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是跨域及产生原因 跨域是指a页面想获取b页面资源,如果a.b页面的协议.域名.端口.子域名不同,或是a页面为ip地址,b页面为域名地址,所进行的访问行动都是跨域的,而浏览器为了安全问题一般都限制了跨域访问,也就是不允许跨域请求资源. 跨域情况如下: url 说明 是否跨域 http://www.cnblogs.com/a.jshttp://www.a.com/b.js 不同域名 是 http://www.a.com/lab/a.jshttp://www.a.com/script/b.js			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38ZoxAM.html" rel="bookmark">canvas关于getImageData跨域问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.问题:在使用html5的canvas是,当用到getImageData方法获取图片信息时,会碰到跨域无法获取的情况,代码如下: document.getElementById(&quot;pic&quot;).onload=function(){ var c=document.getElementById(&quot;myCanvas&quot;); var ctx=c.getContext(&quot;2d&quot;); var img=document.getElementById(&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xrkWL4.html" rel="bookmark">web项目中的跨域问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一种是JSONP 一种是 CORS. 在客户端Javascript调用服务端接口的时候,如果需要支持跨域的话,需要服务端支持. JSONP的方式就是服务端对返回的值进行回调函数包装,他的优点是支持众多的浏览器, 缺点是仅支持Get的方式对服务端请求. 另一种主流的跨域方案是CORS,他仅需要服务端在返回数据的时候在相应头中加入标识信息.这种方式非常简便.唯一的缺点是需要浏览器的支持,一些较老的浏览器可能不支持CORS特性. 跨域支持是创建WebService时应该考虑的一个功能点,文中是使用Se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVRVlkM.html" rel="bookmark">jQuery跨域问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				跨域访问时web前端开发者经常遇到的问题,那么什么是跨域呢? 跨域的慨念: 只要协议,域名,端口任何一个不同,都被当作是不同的域.例如在A网站中,我们希望通过AJAX获得B网站中特定的内容,此时A网站和B位置不在同一个域,那么就出现了跨域访问问题.可以理解为两个域名之间不能跨国域名来发送请求或是请求数据,否则就是不安全的. 解决跨域访问的方法: 1.代理: 2.在服务器端设置相应的响应头: 3.JSONP. 接下来,我详细的介绍一下jQuery中的JSONP是如何解决跨域访问的. JSONP(J			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWDbKa0.html" rel="bookmark">Ajax修改全局变量问题解决方法（jQuery版）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前两天项目遇到一个用ajax修改全局变量的案例,一开始无法给这个全局变量修改赋值,在网上查了一下,解决如下: 修改前: var word=1; $.ajax({ url:&quot;myJSON.json&quot;, type:&quot;get&quot;, dataType:&quot;json&quot;, success:function(data){ word=2; } }); alert(word); 结果:弹出1: 原因:js是单线程的语言,而ajax是异步加载的,可以这么理解,上面的代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MW9qJ63.html" rel="bookmark">AJAX四种跨域处理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				同源策略 同源策略 同源策略限制从一个源加载的文档或者脚本如何与来自另一个源的资源进行交互.这是一个用于隔离潜在恶意文件的关键的安全机制.具体定义是:一段脚本向后台请求数据,只能读取属于同一协议名.同一主机名.同一端口号下的数据.因此,请求不同协议名.不同主机名.不同端口号下的文件,违背同源策略,无法请求成果,需要进行跨域处理.同源策略限制的具体行为:(1)Cookie.LocalStorage.IndexDB无法读取:(2)DOM无法获得:(3)AJAX请求不能发送. 什么是跨域? 两个页面之			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kypnd4.html" rel="bookmark">JQuery - Ajax和Tomcat跨域请求问题解决方法！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在JQuery里面使用Ajax和Tomcat服务器之间进行数据交互,遇到了跨域请求问题,无法成功得到想要的数据! 错误信息部分截图: 通过错误信息判断知道已经发生在Ajax跨域请求问题了! 当前Tomcat服务器,是一个已经存在的工程,有APP同这部分代码一同工作.我所做的是开发另外一款手机应用程序,并且使用已有的接口!在这种情况下,实现Ajax跨域请求,而且对目前源代码影响越小越好!怎样达到这样的目标?最终通过为Tomcat添加过滤器方式完成! 由于此项目是商业项目,服务器并不是我管理,所以无			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXDb1aM.html" rel="bookmark">jQuery 跨域访问问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				浏览器端跨域访问一直是个问题, 多数研发人员对待js的态度都是好了伤疤忘了疼,所以病发的时候,时不时地都要疼上一疼.记得很久以前使用iframe 加script domain 声明,yahoo js util 的方式解决二级域名跨域访问的问题. 时间过得好快,又被拉回js战场时, 跨域问题这个伤疤又开疼了. 好在,有jquery帮忙,跨域问题似乎没那么难缠了.这次也借此机会对跨域问题来给刨根问底,结合实际的开发项目,查阅了相关资料,算是解决了跨域问题..有必要记下来备忘. 跨域的安全限制都是指浏			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/VMGdwZ0.html" rel="bookmark" class="title">杭电 HDU 1164 Eddy&amp;&num;39&semi;s research I</a>
					<div>
						Eddy's research I Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/QM6OmN0.html" rel="bookmark" class="title">ppp pap和chap 认证</a>
					<div>
						原理拓扑图 [实验设备] 路由器(带串口) 2 台 V.35 线缆(DTE/DCE) 1 对 [实验原理] PPP 协议位于 OSI 七层模型的数据链路层,PPP 协议按照功能划分为两个子层:LCP. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0Kozy0.html" rel="bookmark" class="title">cassandra指定数据库路径</a>
					<div>
						参考 https://docs.datastax.com/en/cassandra/2.1/cassandra/configuration/configCassandra_yaml_r.html 我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLN1O0.html" rel="bookmark" class="title">zoj 3460 Missile</a>
					<div>
						Missile Time Limit: 2 Seconds      Memory Limit: 65536 KB You control N missile launching towers. Ev ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68rgW3.html" rel="bookmark" class="title">表的截断、删除、创建</a>
					<div>
						一.截断表的语句: truncate table schema.table_name 删除表中的数据记录,但是不删除表的结构.该语句是ddl语句不能恢复被删除的数据行.不触发删除表记录的触发器不会将删 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZpe83.html" rel="bookmark" class="title">Nodejs学习路线图</a>
					<div>
						Reference: http://mp.weixin.qq.com/s?src=3&amp;timestamp=1463322948&amp;ver=1&amp;signature=aIZC*rkx ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVwBl10.html" rel="bookmark" class="title">leetcode 238&period; Product of Array Except Self （Python版）</a>
					<div>
						题目: 好长,大意是返回一个列表,列表中第i个元素为nums中出了i以外元素的乘积 注意不能用除法,时间复杂度为O(n) 空间复杂度为O(1) 解题思路: 利用返回的列表从前往后算一遍,再从后往前算一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nvPEX0.html" rel="bookmark" class="title">转 jquery操作select&lpar;取值，设置选中）</a>
					<div>
						每一次操作select的时候,总是要出来翻一下资料,不如自己总结一下,以后就翻这里了. 比如&lt;select class=&quot;selector&quot;&gt;&lt;/select&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47qla10.html" rel="bookmark" class="title">第10章 网络安全（4）&lowbar;网络层安全IPSec</a>
					<div>
						5. 网络层安全IPSec 5.1 IPSec协议 (1)前面使用Outlook进行数字签名和数字加密是应用层实现的安全.安全套接字实现的安全是在应用层和传输层之间插入了一层来实现数据通信安全.而IP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49WLgD0.html" rel="bookmark" class="title">Hibernate中使用的集合类型</a>
					<div>
						department与employee是一对多关系. set &lt;set name=&quot;emps&quot; inverse=&quot;true&quot;&gt; &lt;key co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KOYKj0.html" rel="bookmark" class="title">上海学信教育与上海交通大学并无合作关系的申明</a>
					<div>
						之前,郑维明所开设的上海学信教育一直使用[email protected]对外进行邮件往来,并宣称与交大有合作,不清楚的人(包括我)看了邮箱后缀后,觉得就是交大的,所以就信了,但其实不然,有些东西经不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q7ebw0.html" rel="bookmark" class="title">&lbrack;原创&rsqb;java WEB学习笔记70：Struts2 学习之路-- 输入验证，声明式验证，声明是验证原理</a>
					<div>
						本博客的目的:①总结自己的学习过程,相当于学习笔记 ②将自己的经验分享给大家,相互学习,互相交流,不可商用 内容难免出现问题,欢迎指正,交流,探讨,可以留言,也可以通过以下方式联系. 本人互联网技术爱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZVY80.html" rel="bookmark" class="title">Halloc内存分配器</a>
					<div>
						MAX_NSBS 8192:默认的最大superblocks数量 SB_SET_SZ(MAX_NSBS / WORD_SZ):superblock set的大小,每个set32个superblcoks ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bRAxk0.html" rel="bookmark" class="title">Oracle的FIXED&lowbar;DATE参数</a>
					<div>
						我们知道,在Oracle数据库中正常执行 select sysdate from dual 都可以返回当前主机的系统时间.正常修改系统时间,对应的查询结果也会变成修改后的系统时间.现在遇到一个问题:测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d2xWB4.html" rel="bookmark" class="title">android&lowbar;解决2&period;3帧动画无效果</a>
					<div>
						mIvPoint.setBackgroundResource(R.drawable.point_anim); rocketAnimation = (AnimationDrawable) mIvPoin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZZvq3.html" rel="bookmark" class="title">树状数组区间更新</a>
					<div>
						在今天的文章开始之前,给大家提一个建议,由于线段树和树状数组这两个结构的分析有很多联系,因此,建议没有看前几篇文章的朋友一定需要了解一下前面的内容.链接如下: 线段树+RMQ问题第二弹 线段树第二弹( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDl86pM.html" rel="bookmark" class="title">MVP设计模式</a>
					<div>
						维基百科 Model-view-presenter (MVP) 是使用者接口设计模式的一种,被广范用于便捷自动化单元测试和在呈现逻辑中改良分离关注点(separation of concerns).  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGe7yG3.html" rel="bookmark" class="title">ViewPager源码分析&mdash;&mdash;滑动切换页面处理过程</a>
					<div>
						上周客户反馈Contacts快速滑动界面切换tab有明显卡顿,让优化. 自己验证又没发现卡顿现象,但总得给客户一个技术性的回复,于是看了一下ViewPager源码中处理滑动切换tab的过程. View ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02oNGz3.html" rel="bookmark" class="title">脑残集（1）把一个字符串内的正整数相加</a>
					<div>
						1 #include &quot;string&quot; 2 typedef std::basic_string&lt;TCHAR&gt; tstring; 3 int _tmain(int arg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDlQA9M.html" rel="bookmark" class="title">团队作业4&mdash;&mdash;第一次项目冲刺 FiFtH DaY</a>
					<div>
						项目冲刺--Penta Kill 很开心,小编今天LOL也拿到了五杀,感觉自己又可以去吹一年了. 不扯这些有的没的了,让我们来看看今天的任务吧~ Mission 看起来好像和昨天没有什么不同哦,其实是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
